curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/customer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"sourceOfRiskLevel": "IMPORT",
"riskLevel": "HIGH",
"customerStatus": "ACTIVE",
"riskManagementCategory": "IND",
"entityType": "INDIVIDUAL",
"customerExtId": "IND_IMPORT_B1_TEST",
"applicationDate": "2016-01-01",
"firstName": "Lukas",
"lastName": "Garcia"
}
'{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "CommunicationNumber already used in AMLYZE"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/customer"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Evaluate customer
To initiate the scoring process, the sourceOfRiskLevel field in the API payload must be set to EVALUATE. This instructs the AMLYZE engine to run the customer’s data through the active risk matrix. In contrast, sending the value IMPORT will only update the customer’s data in the system without triggering a new risk evaluation.
curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/customer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"sourceOfRiskLevel": "IMPORT",
"riskLevel": "HIGH",
"customerStatus": "ACTIVE",
"riskManagementCategory": "IND",
"entityType": "INDIVIDUAL",
"customerExtId": "IND_IMPORT_B1_TEST",
"applicationDate": "2016-01-01",
"firstName": "Lukas",
"lastName": "Garcia"
}
'{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "CommunicationNumber already used in AMLYZE"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/customer"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Authorizations
Body
Type of the customer. INDIVIDUAL represents a natural person; ORGANIZATION represents a legal entity such as a company, partnership, or foundation.
❗ This value drives conditional field requirements:
INDIVIDUALrequiresfirstName,lastNameORGANIZATIONrequirestitle,registrationCountry,legalForm
Fields specific to the other entity type are not allowed. See each affected field's description for its individual constraint.
INDIVIDUAL, ORGANIZATION Element is used to indicate whether a client needs to be created or the existing customer's data to be updated. As this field is not mandatory and if not provided, CREATE value is set as default.
❗ By UPDATEing, all data will be replaced with newly received one.
CREATE, UPDATE It serves to specify the unique identifier for the business unit. Business units are logical groupings of users and data. Each business unit can have its own set of users, permissions, and data access rules. Value is taken from /classifier/businessUnit endpoint.❗Mandatory field for clients utilizing a multi-organizational solution. Omit this parameter unless instructed about it.
255Customer's predefined status represents the current standing or state of a customer's relationship with a business or organization.
PENDING- Customer application is received but not yet prepared for upcoming workflowACTIVE- Customer is onboarded and ready for workflowREJECTED- the customer was rejected before account was openedSUSPENDED- Customer's activities for some reasons are restrictedCLOSED- Customer's profile is disabled
ACTIVE, CLOSED, PENDING, REJECTED, SUSPENDED National code or national identification number of individual. If a country does not issue national code, any other unique identifier can be used:
- Passport number
- Social security number of person
- A number of taxpayer or registration certificate of the company, etc.
100